Bug 342001 - multilib conflicts in libdnet
multilib conflicts in libdnet
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libdnet (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 1059593
  Show dependency treegraph
 
Reported: 2007-10-19 17:45 EDT by Bill Nottingham
Modified: 2014-03-16 23:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-14 07:52:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2007-10-19 17:45:11 EDT
libdnet (or one of its subpacakges) has multiarch conflicts when installed for both i386 and x86_64 in the Fedora development tree. For help in resolving them, see http://fedoraproject.org/wiki/PackagingDrafts/MultilibTricks. 

  file /usr/bin/dnet-config from install of libdnet-devel-1.12-2.fc8 conflicts with file from package libdnet-devel-1.12-2.fc8

(Note that this is an automated bug filing.)
It would be nice to have these bugs fixed by the beta of Fedora 9.
Comment 1 Jima 2008-01-25 09:26:42 EST
ACKnowledged.

Yes, I know, it's been three months.  I've noticed the bug. :-)

Not really sure what the best practice for this would be; I'm having trouble
finding ANY good examples of what to do.  In libdnet's defense, the two scripts
only have one line different.  postgresql-devel (one I looked to for guidance)
has BINARY conflicts.

So, any recommendations?
Comment 2 Bug Zapper 2008-05-13 23:33:14 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-06-09 19:01:43 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Oliver Falk 2009-06-10 02:42:34 EDT
If this has already been fixed. Please close it.
Comment 5 Bug Zapper 2009-11-16 02:58:42 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Richard W.M. Jones 2013-07-31 09:03:46 EDT
This is still a problem even in Rawhide:

BAD	 	libdnet-devel	 	Subpackage libdnet-devel is not multilib-clean for x86_64 vs i686: 1 file has non-equal 32/64bit content:

  /usr/bin/dnet-config

INFO	 	libdnet-devel	 	Multilib difference for usr/bin/dnet-config on x86_64 vs i686:

--- /usr/bin/dnet-config on x86_64	2013-07-01 19:46:36.342000399 +0200
+++ /usr/bin/dnet-config on i686	2013-07-01 19:47:34.486000399 +0200
@@ -49,6 +49,6 @@ if test "$echo_cflags" = "yes"; then
 fi
 
 if test "$echo_libs" = "yes"; then
-      echo -L/usr/lib64 -ldnet 
+      echo -L/usr/lib -ldnet 
 fi      
 

BAD	 	libdnet-devel	 	Subpackage libdnet-devel is not multilib-clean for ppc64 vs ppc: 1 file has non-equal 32/64bit content:

  /usr/bin/dnet-config

INFO	 	libdnet-devel	 	Multilib difference for usr/bin/dnet-config on ppc64 vs ppc:

--- /usr/bin/dnet-config on ppc64	2013-07-01 19:47:05.456000399 +0200
+++ /usr/bin/dnet-config on ppc	2013-07-01 19:45:08.016000399 +0200
@@ -49,6 +49,6 @@ if test "$echo_cflags" = "yes"; then
 fi
 
 if test "$echo_libs" = "yes"; then
-      echo -L/usr/lib64 -ldnet 
+      echo -L/usr/lib -ldnet 
 fi      
 

BAD	 	libdnet-devel	 	Subpackage libdnet-devel is not multilib-clean for s390x vs s390: 1 file has non-equal 32/64bit content:

  /usr/bin/dnet-config

INFO	 	libdnet-devel	 	Multilib difference for usr/bin/dnet-config on s390x vs s390:

--- /usr/bin/dnet-config on s390x	2013-07-01 19:48:33.554000399 +0200
+++ /usr/bin/dnet-config on s390	2013-07-01 19:46:05.729000399 +0200
@@ -49,6 +49,6 @@ if test "$echo_cflags" = "yes"; then
 fi
 
 if test "$echo_libs" = "yes"; then
-      echo -L/usr/lib64 -ldnet 
+      echo -L/usr/lib -ldnet 
 fi
Comment 7 Fedora Admin XMLRPC Client 2013-08-16 00:32:48 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Richard W.M. Jones 2014-03-14 07:52:27 EDT
Fixed in libdnet 1.12-13 (Rawhide).

Note You need to log in before you can comment on or make changes to this bug.